431JP2012 (was JP93/JP94)

4.X系の開発

モデレータ: 暇人, YoN, nyu

アバター
暇人
記事: 2392
登録日時: 07/08/12(日) 23:33
お住まい: 埼玉県xx市並4
連絡する:

Re: 431JP93 and JP94

投稿記事 by 暇人 »

ところで、winで作られたzipの日本語ファイル名が化けてしまう件。
管理人見習い
NEC Express5800 S70/SR G6950 2.8GHz/1G
lenovo S10-3 AtomN450 1.66G/1G
暇人/貳馬力/2CV
アバター
シノバー
記事: 3138
登録日時: 09/03/21(土) 00:05
連絡する:

Re: zipの日本語ファイル名

投稿記事 by シノバー »

暇人 さんが書きました:ところで、winで作られたzipの日本語ファイル名が化けてしまう件。
手元のテストではOKです。
この問題は 431JPで解決、その後 wary-511-01jで問題が再発したものですが、431JP9xはその部分 431JPと変わっていないはずです。
viewtopic.php?t=1310
シノバー さんが書きました:暇人さんの情報により、zipinfoとunzipを ubuntu 9.04から持ってきました。ロケールが jaのとき、zipファイル名がマルチバイトであれば Windows sjis(cp932)として解釈します。
The bar master, Shino's Bar
http://shinobar.net/
kei3_linux
記事: 38
登録日時: 12/02/13(月) 18:42

使わせていただく予定の一人から

投稿記事 by kei3_linux »

一応真剣に考えました
Puppy Linux "2012 Japanese Edition improved 4.3.1"
" "で囲む所がポイントです
アバター
シノバー
記事: 3138
登録日時: 09/03/21(土) 00:05
連絡する:

正式版の名称

投稿記事 by シノバー »

kei3_linux さんが書きました:Puppy Linux "2012 Japanese Edition improved 4.3.1"
kei3さん、おかえりなさい、でしょうか。
それをいただいて1案
「Puppy Linux 4.3.1JP returns 2012」、略称「431JP2012」(起動後のスプラッシュは3桁+2桁、「Puppy 431-12」と表示される)
2案は「Puppy Linux 4.4 Japanese edition」、略称「440JP」も、けっこういいかもと思ってます。(起動後のスプラッシュ表示「Puppy 440」)
The bar master, Shino's Bar
http://shinobar.net/
kei3_linux
記事: 38
登録日時: 12/02/13(月) 18:42

バージョンが大きい方が最新だと思われがちになると思います

投稿記事 by kei3_linux »

こんばんは
略称 「431JP2012」 はとても良いような気がします
そう思うのはWindowsのバージョン命名方法の影響からかもしれません Windows 98 4.10.1998
Puppy Linux 4.3.1JP returns 2012
Puppy Linux "2012 Japanese Edition improved 4.3.1"
どこかに2012など"最新であること"をアピールする名前にしないと5ばかり使われる事になると思います
(当たり前ですが念の為)命名する権利は完全にないと思っています(あくまで提案だけですおこがましいですから)
ブラックロックシューター見て寝ます
アバター
シノバー
記事: 3138
登録日時: 09/03/21(土) 00:05
連絡する:

再び: 最終版リリース予定

投稿記事 by シノバー »

kei3_linux さんが書きました:どこかに2012など"最新であること"をアピールする名前にしないと5ばかり使われる事になると思います
賛成です。私からは次を第1提案とします。(一部修正。「4.3.1」からドットを取って「431」)
日本語名称: 「パピーリナックス 431JP2012
英語名:「Puppy Linux 431JP returns 2012
略称「431JP2012」
(起動後のスプラッシュは3桁+2桁、「Puppy 431-12」と表示される)、isoファイル名: pup_431JP2012.iso

さきに最終版リリース予定を 3月12日(明日)としましたが、名称の件もあり、もう少し伸ばしたいと思います。内容は JP94からの変更は無いつもりです。
火曜日まで待って異論なければ 3月15日のリリースでいかがでしょうか?
最後に編集したユーザー シノバー [ 12/03/13(火) 21:05 ], 累計 1 回
The bar master, Shino's Bar
http://shinobar.net/
bon
記事: 45
登録日時: 10/10/27(水) 18:12

Re: 431JP93 and JP94

投稿記事 by bon »

自分の利用範囲ですが色々動かしてみました
使いやすいです
特に支障は感じませんでした

Puppy seriesのネーミング(Numbering)についてのBaryさんの記述を見たことがありますが内容は忘却しました
431***なら関係ないと思いますし系譜が判り易くて良いと思います
アバター
シノバー
記事: 3138
登録日時: 09/03/21(土) 00:05
連絡する:

431JP2012

投稿記事 by シノバー »

431JP2012 をアップしました。ドキュメント
57e0e6a3ff80124f636fcc644d50d315 pup_431JP2012.iso
cac75e3bf9a720cf4030285775415d2e pup_431JP2012_full.iso
5fc3a0f3112cb58c2dc81be42a8c2f99 Puppy_Linux_431JP2012_Installer.exe
a1b5bc1f019bd747bfd7bd0a88ca986a devx_431JP2012.sfs
http://shino.pos.to/party/bridge.cgi?puppy/pup4/test/

スナップショット:
http://shino.pos.to/party/bridge.cgi?pu ... 431jp2012/

Puppy_Linux_431JP2012_Installer.exe は Windows上で通常のアプリのインストールと似た手順で行えるインストーラー付きパピー。

pup_431JP2012_full.iso は 標準のものに加えて、割愛されていたドライバと、カーネルソース、コンパイラなどの開発環境、最新ブラウザを同梱したものです。
最後に編集したユーザー シノバー [ 12/03/13(火) 21:52 ], 累計 1 回
The bar master, Shino's Bar
http://shinobar.net/
486HA
記事: 1142
登録日時: 11/03/06(日) 14:31

Re: 431JP2012 (was JP93/JP94)

投稿記事 by 486HA »

さっそくダウンロードさせていただきました。
今夜は、Slacko 5.3.2.7/5.3.2.7pもダウンロードしたし、
間もなくLazy Puppyの新版も出そうなので忙しくなります。
 とにかく、ご苦労様でした。
CORE-i7-6700HQ uEFI ram:8GB
Full: Quirky Beaver64-8.7.1(64)
save2dir: Artfulpup-17.11,Dpup-7.5,Xenialpup 7.0.8.1(32)
Slimjet 21.0.8.0(32/64)
Endeavor_wako
記事: 378
登録日時: 09/09/18(金) 01:54

Re: 431JP2012 (was JP93/JP94)

投稿記事 by Endeavor_wako »

お世話になります。
JP2012、使ってみました。私の環境ではLupQより軽く感じるので、ここ数日はLupQを使っていません。
テストも兼ねて常用しているアプリケーションをソースからビルドしているのですが、dbus-1やgconf-2が無い、としてエラーになります。とりあえず Debian(spueeze)からそれらしいdevを入れて通したのですが微妙にバージョンが違うようです。JP2012に乗っているライブラリに合わせた dev ってどこかにありますか?
Main:lenovo ThinkPad R500,LinuxMint17.2Xfce(x64)
Sub:ASUS eeePC 1001PX,Slitaz rolling, LM17.2Xfce(x86)に変えました
Old sub:Matsushita CF-R2,Slitaz rolling

Puppyを使わなくなって久しい今日この頃。引き続き、会話シュミレーターは無視する方向で。
アバター
シノバー
記事: 3138
登録日時: 09/03/21(土) 00:05
連絡する:

dbusの DEV ファイル

投稿記事 by シノバー »

Endeavor_wako さんが書きました:テストも兼ねて常用しているアプリケーションをソースからビルドしているのですが、dbus-1やgconf-2が無い、としてエラーになります。とりあえず Debian(spueeze)からそれらしいdevを入れて通したのですが微妙にバージョンが違うようです。JP2012に乗っているライブラリに合わせた dev ってどこかにありますか?
devx に入れ忘れたようです。 libdbus_DEV-1.4.16-1-p4.pet, libdbus-glib_DEV-0.74-1-p4.pet をアップしました。
http://shino.pos.to/party/bridge.cgi?puppy/opt/pup4/

Gconf 関係はもともと入っておらず、431JP2012の libdbus は Debianと互換性がないので、もしかするとソースからコンパイルしなおさないといけないかもです。
The bar master, Shino's Bar
http://shinobar.net/
Endeavor_wako
記事: 378
登録日時: 09/09/18(金) 01:54

Re: 431JP2012 (was JP93/JP94)

投稿記事 by Endeavor_wako »

いただきました。ありがとうございます。

gconf はランタイムがdevxにありますね。vala のapi らしきものが見えますのでその関係だけでしょうか。私はvalaに用はないので、debian のライブラリに置換しようと思います。
Main:lenovo ThinkPad R500,LinuxMint17.2Xfce(x64)
Sub:ASUS eeePC 1001PX,Slitaz rolling, LM17.2Xfce(x86)に変えました
Old sub:Matsushita CF-R2,Slitaz rolling

Puppyを使わなくなって久しい今日この頃。引き続き、会話シュミレーターは無視する方向で。
Endeavor_wako
記事: 378
登録日時: 09/09/18(金) 01:54

ヘッダファイル

投稿記事 by Endeavor_wako »

あるパッケージをビルドしていてヘッダファイルで引っかかりました。
jpeglib.h が C++ に対応してませんでした。コンパイルエラーにはならない。リンクエラーになって得体の知れないシンボル吐きます。
他にもあるかも。
devx使う人は念のためご注意のほどを。
Main:lenovo ThinkPad R500,LinuxMint17.2Xfce(x64)
Sub:ASUS eeePC 1001PX,Slitaz rolling, LM17.2Xfce(x86)に変えました
Old sub:Matsushita CF-R2,Slitaz rolling

Puppyを使わなくなって久しい今日この頃。引き続き、会話シュミレーターは無視する方向で。
アバター
シノバー
記事: 3138
登録日時: 09/03/21(土) 00:05
連絡する:

Re: ヘッダファイル

投稿記事 by シノバー »

Endeavor_wako さんが書きました:jpeglib.h が C++ に対応してませんでした。
431のコンパイラが古いためかも。431はコンパイラ以外にも Glibc, Gtkなども古く、最新アプリがコンパイルできないことが多々あります。最新を諦めて古いバージョンのもので431でコンパイル可能なものを探すなどで対処せざるを得ないこともあります。ごくまれに slacko などでコンパイルしたものが 431でも走るという幸運なケースも。
最後に編集したユーザー シノバー [ 12/03/20(火) 16:02 ], 累計 1 回
The bar master, Shino's Bar
http://shinobar.net/
Endeavor_wako
記事: 378
登録日時: 09/09/18(金) 01:54

Re: ヘッダファイル

投稿記事 by Endeavor_wako »

シノバー さんが書きました:431のコンパイラが古いためかも。431はコンパイラ以外にも Glibc, Gtkなども古く、最新アプリがコンパイルできないことが多々あります。最新を諦めて古いバージョンのものでコンパイルを探すなどで対処せざるを得ないこともあります。
コンパイラ(gcc 4.2.2)そのものはまだ大丈夫でしょう。カーネルもこれで構築されているのでしょうし、純粋にシンタックスエラーで通らないパッケージは431JPでは使うべきではないでしょうね。
glibcやgtk が旧いのは確かに辛いですがバージョンミスマッチではねられた経験はLucid等でもありました。

jpeglib.hの件は単純に extern "C" { } が無かった、というだけのことです。気になって最新のものをDLして眺めてみたのですがちゃんと加筆されていました。旧くても動作に支障が無ければ置き換える必要はないでしょう。
シノバー さんが書きました:ごくまれに slacko などでコンパイルしたものが 431でも走るという幸運なケースも。
これはよく考えると怖いような気が... :?
Main:lenovo ThinkPad R500,LinuxMint17.2Xfce(x64)
Sub:ASUS eeePC 1001PX,Slitaz rolling, LM17.2Xfce(x86)に変えました
Old sub:Matsushita CF-R2,Slitaz rolling

Puppyを使わなくなって久しい今日この頃。引き続き、会話シュミレーターは無視する方向で。
返信する